<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for addDn StructType
 * @subpackage Structs
 */
class AddDn extends AbstractStructBase
{
    /**
     * The startDn
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $startDn;
    /**
     * The endDn
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $endDn;
    /**
     * The dnPrefix
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $dnPrefix;
    /**
     * Constructor method for addDn
     * @uses AddDn::setStartDn()
     * @uses AddDn::setEndDn()
     * @uses AddDn::setDnPrefix()
     * @param string $startDn
     * @param string $endDn
     * @param string $dnPrefix
     */
    public function __construct($startDn = null, $endDn = null, $dnPrefix = null)
    {
        $this
            ->setStartDn($startDn)
            ->setEndDn($endDn)
            ->setDnPrefix($dnPrefix);
    }
    /**
     * Get startDn value
     * @return string|null
     */
    public function getStartDn()
    {
        return $this->startDn;
    }
    /**
     * Set startDn value
     * @param string $startDn
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\AddDn
     */
    public function setStartDn($startDn = null)
    {
        $this->startDn = $startDn;
        return $this;
    }
    /**
     * Get endDn value
     * @return string|null
     */
    public function getEndDn()
    {
        return $this->endDn;
    }
    /**
     * Set endDn value
     * @param string $endDn
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\AddDn
     */
    public function setEndDn($endDn = null)
    {
        $this->endDn = $endDn;
        return $this;
    }
    /**
     * Get dnPrefix value
     * @return string|null
     */
    public function getDnPrefix()
    {
        return $this->dnPrefix;
    }
    /**
     * Set dnPrefix value
     * @param string $dnPrefix
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\AddDn
     */
    public function setDnPrefix($dnPrefix = null)
    {
        $this->dnPrefix = $dnPrefix;
        return $this;
    }
}
